#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	gnome-icon-theme
Version		:	3.12.0
Release		:	14.4.0.0%{?dist}

Summary		:	an assortment of non-scalable icons of different sizes and themes. 
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/gnome-icon-theme

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	icon-naming-utils
BuildRequires	:	intltool
BuildRequires	:	gtk3+

BuildArch	:	noarch

Requires	:	gtk3+
#-----------------------------------------------------------------------------
%description
The GNOME Icon Theme package contains an assortment of
non-scalable icons of different sizes and themes.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_datadir}/icons/gnome/*/*/*.png
%{_datadir}/icons/gnome/index.theme
%{_datadir}/pkgconfig/%{name}.pc

%post
/usr/sbin/ldconfig
mkdir -p %{_datadir}/icons/%{shortname}
gtk-update-icon-cache %{_datadir}/icons/%{shortname} 2> /dev/null

%postun
/usr/sbin/ldconfig
if [ $1 -eq 0 ] ; then
  mkdir -p %{_datadir}/icons/%{shortname}
  gtk-update-icon-cache %{_datadir}/icons/%{shortname} 2> /dev/null
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoconf -v -f -i
./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--disable-icon-mapping				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%changelog
